---
title: "List entity"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities`

## Query parameters

- `scope` (`entity-list.query.scope`; string, optional)
  - one of `"accessible"`, `"published"`; default `"accessible"`
- `limit` (`entity-list.query.limit`; number, optional)
  - min 1; max 100; default `20`
- `offset` (`entity-list.query.offset`; number, optional)
  - min 0; default `0`
- `entityType` (`entity-list.query.entityType`; string, optional)
  - one of `"fund"`, `"company"`, `"portfolio"`, `"asset"`, `"investor"`, `"educational_institution"`, `"government_agency"`, `"non_profit"`, `"person"`, `"trust"`, `"other"`
- `excludeEntityTypes` (`entity-list.query.excludeEntityTypes`; array<string>, optional)
- `companySizeCategory` (`entity-list.query.companySizeCategory`; string, optional)
- `verified` (`entity-list.query.verified`; boolean, optional)
- `parentId` (`entity-list.query.parentId`; string, optional)
  - format `uuid`
- `ownerId` (`entity-list.query.ownerId`; string, optional)
- `search` (`entity-list.query.search`; string, optional)
  - minLength 1; maxLength 100
- `sortBy` (`entity-list.query.sortBy`; string, optional)
  - one of `"name"`, `"createdAt"`, `"updatedAt"`; default `"createdAt"`
- `sortOrder` (`entity-list.query.sortOrder`; string, optional)
  - one of `"asc"`, `"desc"`; default `"desc"`
- `include` (`entity-list.query.include`; object, optional)
  - default `{}`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/entities
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "description": "string",
      "overview": "string",
      "location": "string",
      "domain": "string",
      "twitterUrl": "string",
      "linkedinUrl": "string",
      "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
      "ownerId": "string",
      "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
      "entityType": "string",
      "logoUrl": "string",
      "bannerUrl": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "verified": true,
      "placeholderEntity": true,
      "dataResidency": "string",
      "autoCreated": true,
      "claimedBy": "string",
      "claimedAt": "2019-08-24T14:15:22Z",
      "createdBy": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "administrationAccess": "owner",
      "resourceType": "entity",
      "parent": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "description": "string",
        "overview": "string",
        "location": "string",
        "domain": "string",
        "twitterUrl": "string",
        "linkedinUrl": "string",
        "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
        "ownerId": "string",
        "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
        "entityType": "string",
        "logoUrl": "string",
        "bannerUrl": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "verified": true,
        "placeholderEntity": true,
        "dataResidency": "string",
        "autoCreated": true,
        "claimedBy": "string",
        "claimedAt": "2019-08-24T14:15:22Z",
        "createdBy": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      },
      "children": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "description": "string",
          "overview": "string",
          "location": "string",
          "domain": "string",
          "twitterUrl": "string",
          "linkedinUrl": "string",
          "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
          "ownerId": "string",
          "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
          "entityType": "string",
          "logoUrl": "string",
          "bannerUrl": "string",
          "metadata": {
            "property1": null,
            "property2": null
          },
          "verified": true,
          "placeholderEntity": true,
          "dataResidency": "string",
          "autoCreated": true,
          "claimedBy": "string",
          "claimedAt": "2019-08-24T14:15:22Z",
          "createdBy": "string",
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "collection": null,
      "followers": [],
      "roles": [],
      "documents": [],
      "personnel": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "title": "string",
          "role": "string",
          "department": "string",
          "email": "string",
          "phone": "string",
          "status": "string",
          "isKeyPerson": true
        }
      ],
      "teamMembers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "userId": "string",
          "name": "string",
          "email": "string",
          "title": "string",
          "role": "string",
          "portfolioRole": "string",
          "avatar": "string"
        }
      ],
      "tagline": "string",
      "companySizeCategory": "string",
      "followersCount": 0,
      "isFollowing": true,
      "creditReferencesCount": 0,
      "customerReferencesCount": 0,
      "claimStatus": "not_claimable",
      "canClaim": true,
      "connectionCount": 0,
      "mutualConnections": 0,
      "isConnected": true
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`entity-list.response.200.data`; array<object>, required)
  - `id` (`entity-list.response.200.data.id`; string, required)
    - format `uuid`
  - `name` (`entity-list.response.200.data.name`; string, required)
  - `slug` (`entity-list.response.200.data.slug`; string, required)
  - `description` (`entity-list.response.200.data.description`; string, required, nullable)
  - `parentId` (`entity-list.response.200.data.parentId`; string, required, nullable)
    - format `uuid`
  - `ownerId` (`entity-list.response.200.data.ownerId`; string, required)
  - `collectionId` (`entity-list.response.200.data.collectionId`; string, required, nullable)
    - format `uuid`
  - `entityType` (`entity-list.response.200.data.entityType`; string, required, nullable)
  - `createdAt` (`entity-list.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`entity-list.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `overview` (`entity-list.response.200.data.overview`; string, optional, nullable)
  - `location` (`entity-list.response.200.data.location`; string, optional, nullable)
  - `domain` (`entity-list.response.200.data.domain`; string, optional, nullable)
  - `twitterUrl` (`entity-list.response.200.data.twitterUrl`; string, optional, nullable)
  - `linkedinUrl` (`entity-list.response.200.data.linkedinUrl`; string, optional, nullable)
  - `logoUrl` (`entity-list.response.200.data.logoUrl`; string, optional, nullable)
  - `bannerUrl` (`entity-list.response.200.data.bannerUrl`; string, optional, nullable)
  - `metadata` (`entity-list.response.200.data.metadata`; map<unknown>, optional, nullable)
  - `verified` (`entity-list.response.200.data.verified`; boolean, optional, nullable)
  - `placeholderEntity` (`entity-list.response.200.data.placeholderEntity`; boolean, optional, nullable)
  - `dataResidency` (`entity-list.response.200.data.dataResidency`; string, optional, nullable)
  - `autoCreated` (`entity-list.response.200.data.autoCreated`; boolean, optional, nullable)
  - `claimedBy` (`entity-list.response.200.data.claimedBy`; string, optional, nullable)
  - `claimedAt` (`entity-list.response.200.data.claimedAt`; string, optional, nullable)
    - format `date-time`
  - `createdBy` (`entity-list.response.200.data.createdBy`; string, optional, nullable)
  - `administrationAccess` (`entity-list.response.200.data.administrationAccess`; string, optional, nullable)
    - one of `"owner"`, `"admin"`
  - `resourceType` (`entity-list.response.200.data.resourceType`; string, optional)
    - one of `"entity"`
  - `parent` (`entity-list.response.200.data.parent`; object, optional, nullable)
    - `id` (`entity-list.response.200.data.parent.id`; string, required)
      - format `uuid`
    - `name` (`entity-list.response.200.data.parent.name`; string, required)
    - `slug` (`entity-list.response.200.data.parent.slug`; string, required)
    - `description` (`entity-list.response.200.data.parent.description`; string, required, nullable)
    - `parentId` (`entity-list.response.200.data.parent.parentId`; string, required, nullable)
      - format `uuid`
    - `ownerId` (`entity-list.response.200.data.parent.ownerId`; string, required)
    - `collectionId` (`entity-list.response.200.data.parent.collectionId`; string, required, nullable)
      - format `uuid`
    - `entityType` (`entity-list.response.200.data.parent.entityType`; string, required, nullable)
    - `createdAt` (`entity-list.response.200.data.parent.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`entity-list.response.200.data.parent.updatedAt`; string, required)
      - format `date-time`
    - `overview` (`entity-list.response.200.data.parent.overview`; string, optional, nullable)
    - `location` (`entity-list.response.200.data.parent.location`; string, optional, nullable)
    - `domain` (`entity-list.response.200.data.parent.domain`; string, optional, nullable)
    - `twitterUrl` (`entity-list.response.200.data.parent.twitterUrl`; string, optional, nullable)
    - `linkedinUrl` (`entity-list.response.200.data.parent.linkedinUrl`; string, optional, nullable)
    - `logoUrl` (`entity-list.response.200.data.parent.logoUrl`; string, optional, nullable)
    - `bannerUrl` (`entity-list.response.200.data.parent.bannerUrl`; string, optional, nullable)
    - `metadata` (`entity-list.response.200.data.parent.metadata`; map<unknown>, optional, nullable)
    - `verified` (`entity-list.response.200.data.parent.verified`; boolean, optional, nullable)
    - `placeholderEntity` (`entity-list.response.200.data.parent.placeholderEntity`; boolean, optional, nullable)
    - `dataResidency` (`entity-list.response.200.data.parent.dataResidency`; string, optional, nullable)
    - `autoCreated` (`entity-list.response.200.data.parent.autoCreated`; boolean, optional, nullable)
    - `claimedBy` (`entity-list.response.200.data.parent.claimedBy`; string, optional, nullable)
    - `claimedAt` (`entity-list.response.200.data.parent.claimedAt`; string, optional, nullable)
      - format `date-time`
    - `createdBy` (`entity-list.response.200.data.parent.createdBy`; string, optional, nullable)
  - `children` (`entity-list.response.200.data.children`; array<object>, optional)
    - `id` (`entity-list.response.200.data.children.id`; string, required)
      - format `uuid`
    - `name` (`entity-list.response.200.data.children.name`; string, required)
    - `slug` (`entity-list.response.200.data.children.slug`; string, required)
    - `description` (`entity-list.response.200.data.children.description`; string, required, nullable)
    - `parentId` (`entity-list.response.200.data.children.parentId`; string, required, nullable)
      - format `uuid`
    - `ownerId` (`entity-list.response.200.data.children.ownerId`; string, required)
    - `collectionId` (`entity-list.response.200.data.children.collectionId`; string, required, nullable)
      - format `uuid`
    - `entityType` (`entity-list.response.200.data.children.entityType`; string, required, nullable)
    - `createdAt` (`entity-list.response.200.data.children.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`entity-list.response.200.data.children.updatedAt`; string, required)
      - format `date-time`
    - `overview` (`entity-list.response.200.data.children.overview`; string, optional, nullable)
    - `location` (`entity-list.response.200.data.children.location`; string, optional, nullable)
    - `domain` (`entity-list.response.200.data.children.domain`; string, optional, nullable)
    - `twitterUrl` (`entity-list.response.200.data.children.twitterUrl`; string, optional, nullable)
    - `linkedinUrl` (`entity-list.response.200.data.children.linkedinUrl`; string, optional, nullable)
    - `logoUrl` (`entity-list.response.200.data.children.logoUrl`; string, optional, nullable)
    - `bannerUrl` (`entity-list.response.200.data.children.bannerUrl`; string, optional, nullable)
    - `metadata` (`entity-list.response.200.data.children.metadata`; map<unknown>, optional, nullable)
    - `verified` (`entity-list.response.200.data.children.verified`; boolean, optional, nullable)
    - `placeholderEntity` (`entity-list.response.200.data.children.placeholderEntity`; boolean, optional, nullable)
    - `dataResidency` (`entity-list.response.200.data.children.dataResidency`; string, optional, nullable)
    - `autoCreated` (`entity-list.response.200.data.children.autoCreated`; boolean, optional, nullable)
    - `claimedBy` (`entity-list.response.200.data.children.claimedBy`; string, optional, nullable)
    - `claimedAt` (`entity-list.response.200.data.children.claimedAt`; string, optional, nullable)
      - format `date-time`
    - `createdBy` (`entity-list.response.200.data.children.createdBy`; string, optional, nullable)
  - `collection` (`entity-list.response.200.data.collection`; unknown, optional, nullable)
  - `followers` (`entity-list.response.200.data.followers`; array<unknown>, optional)
  - `roles` (`entity-list.response.200.data.roles`; array<unknown>, optional)
  - `documents` (`entity-list.response.200.data.documents`; array<unknown>, optional)
  - `personnel` (`entity-list.response.200.data.personnel`; array<object>, optional)
    - `id` (`entity-list.response.200.data.personnel.id`; string, required)
      - format `uuid`
    - `name` (`entity-list.response.200.data.personnel.name`; string, required)
    - `title` (`entity-list.response.200.data.personnel.title`; string, required)
    - `role` (`entity-list.response.200.data.personnel.role`; string, required)
    - `status` (`entity-list.response.200.data.personnel.status`; string, required)
    - `isKeyPerson` (`entity-list.response.200.data.personnel.isKeyPerson`; boolean, required)
    - `department` (`entity-list.response.200.data.personnel.department`; string, optional, nullable)
    - `email` (`entity-list.response.200.data.personnel.email`; string, optional, nullable)
    - `phone` (`entity-list.response.200.data.personnel.phone`; string, optional, nullable)
  - `teamMembers` (`entity-list.response.200.data.teamMembers`; array<object>, optional)
    - `id` (`entity-list.response.200.data.teamMembers.id`; string, required)
      - format `uuid`
    - `userId` (`entity-list.response.200.data.teamMembers.userId`; string, required)
    - `name` (`entity-list.response.200.data.teamMembers.name`; string, required)
    - `email` (`entity-list.response.200.data.teamMembers.email`; string, optional, nullable)
    - `title` (`entity-list.response.200.data.teamMembers.title`; string, optional, nullable)
    - `role` (`entity-list.response.200.data.teamMembers.role`; string, optional, nullable)
    - `portfolioRole` (`entity-list.response.200.data.teamMembers.portfolioRole`; string, optional, nullable)
    - `avatar` (`entity-list.response.200.data.teamMembers.avatar`; string, optional, nullable)
  - `tagline` (`entity-list.response.200.data.tagline`; string, optional, nullable)
  - `companySizeCategory` (`entity-list.response.200.data.companySizeCategory`; string, optional, nullable)
  - `followersCount` (`entity-list.response.200.data.followersCount`; number, optional)
  - `isFollowing` (`entity-list.response.200.data.isFollowing`; boolean, optional)
  - `creditReferencesCount` (`entity-list.response.200.data.creditReferencesCount`; number, optional)
  - `customerReferencesCount` (`entity-list.response.200.data.customerReferencesCount`; number, optional)
  - `claimStatus` (`entity-list.response.200.data.claimStatus`; string, optional)
    - one of `"not_claimable"`, `"claimed"`, `"claim_pending"`, `"unclaimed"`
  - `canClaim` (`entity-list.response.200.data.canClaim`; boolean, optional)
  - `connectionCount` (`entity-list.response.200.data.connectionCount`; number, optional)
  - `mutualConnections` (`entity-list.response.200.data.mutualConnections`; number, optional)
  - `isConnected` (`entity-list.response.200.data.isConnected`; boolean, optional)
- `meta` (`entity-list.response.200.meta`; object, required)
  - `total` (`entity-list.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`entity-list.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`entity-list.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`entity-list.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`entity-list.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`entity-list.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.400.error`; object, required)
  - `code` (`entity-list.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.401.error`; object, required)
  - `code` (`entity-list.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.403.error`; object, required)
  - `code` (`entity-list.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.404.error`; object, required)
  - `code` (`entity-list.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.409.error`; object, required)
  - `code` (`entity-list.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.422.error`; object, required)
  - `code` (`entity-list.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.429.error`; object, required)
  - `code` (`entity-list.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.500.error`; object, required)
  - `code` (`entity-list.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list.response.503.error`; object, required)
  - `code` (`entity-list.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entities/list/index.md
